version: '3'
services:
  ark-ti:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27010:27010/udp"
      - "7777:7777/udp"
      - "7778:7778/udp"
      - "27030:27030/tcp"
    volumes:
      - /opt/ark/game/arkti:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=TheIsland
      - GAME_PORT=7777
      - QUERY_PORT=27010
      - RCON_PORT=27030
      - SAVE_DIR_NAME=arkti
    restart: on-failure
  ark-tc:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27011:27011/udp"
      - "7779:7779/udp"
      - "7780:7780/udp"
      - "27031:27031/tcp"
    volumes:
      - /opt/ark/game/arktc:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=TheCenter
      - GAME_PORT=7779
      - QUERY_PORT=27011
      - RCON_PORT=27031
      - SAVE_DIR_NAME=arktc
    restart: on-failure
  ark-se:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27012:27012/udp"
      - "7781:7781/udp"
      - "7782:7782/udp"
      - "27032:27032/tcp"
    volumes:
      - /opt/ark/game/arkse:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=ScorchedEarth_P
      - GAME_PORT=7781
      - QUERY_PORT=27012
      - RCON_PORT=27032
      - SAVE_DIR_NAME=arkse
    restart: on-failure
  ark-ra:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27013:27013/udp"
      - "7783:7783/udp"
      - "7784:7784/udp"
      - "27033:27033/tcp"
    volumes:
      - /opt/ark/game/arkra:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Ragnarok
      - GAME_PORT=7783
      - QUERY_PORT=27013
      - RCON_PORT=27033
      - SAVE_DIR_NAME=arkra
    restart: on-failure
  ark-ab:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27014:27014/udp"
      - "7785:7785/udp"
      - "7786:7786/udp"
      - "27034:27034/tcp"
    volumes:
      - /opt/ark/game/arkab:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Aberration_P
      - GAME_PORT=7785
      - QUERY_PORT=27014
      - RCON_PORT=27034
      - SAVE_DIR_NAME=arkab
    restart: on-failure
  ark-ex:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27015:27015/udp"
      - "7787:7787/udp"
      - "7788:7788/udp"
      - "27035:27035/tcp"
    volumes:
      - /opt/ark/game/arkex:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Extinction
      - GAME_PORT=7787
      - QUERY_PORT=27015
      - RCON_PORT=27035
      - SAVE_DIR_NAME=arkex
    restart: on-failure
  ark-va:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27016:27016/udp"
      - "7789:7789/udp"
      - "7790:7790/udp"
      - "27036:27036/tcp"
    volumes:
      - /opt/ark/game/arkva:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Valguero_P
      - GAME_PORT=7789
      - QUERY_PORT=27016
      - RCON_PORT=27036
      - SAVE_DIR_NAME=arkva
    restart: on-failure
  ark-g1:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27017:27017/udp"
      - "7791:7791/udp"
      - "7792:7792/udp"
      - "27037:27037/tcp"
    volumes:
      - /opt/ark/game/arkg1:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Genesis
      - GAME_PORT=7791
      - QUERY_PORT=27017
      - RCON_PORT=27037
      - SAVE_DIR_NAME=arkg1
    restart: on-failure
  ark-g2:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27018:27018/udp"
      - "7793:7793/udp"
      - "7794:7794/udp"
      - "27038:27038/tcp"
    volumes:
      - /opt/ark/game/arkg2:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Genesis2
      - GAME_PORT=7793
      - QUERY_PORT=27018
      - RCON_PORT=27038
      - SAVE_DIR_NAME=arkg2
    restart: on-failure
  ark-ci:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27019:27019/udp"
      - "7795:7795/udp"
      - "7796:7796/udp"
      - "27039:27039/tcp"
    volumes:
      - /opt/ark/game/arkci:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=CrystalIsles
      - GAME_PORT=7795
      - QUERY_PORT=27019
      - RCON_PORT=27039
      - SAVE_DIR_NAME=arkci
    restart: on-failure
  ark-li:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27020:27020/udp"
      - "7797:7797/udp"
      - "7798:7798/udp"
      - "27040:27040/tcp"
    volumes:
      - /opt/ark/game/arkli:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=LostIsland
      - GAME_PORT=7797
      - QUERY_PORT=27020
      - RCON_PORT=27040
      - SAVE_DIR_NAME=arkli
    restart: on-failure
  ark-fo:
    image: registry.gitlab.com/dxcker/ark:latest
    ports:
      - "27021:27021/udp"
      - "7799:7799/udp"
      - "7800:7800/udp"
      - "27041:27041/tcp"
    volumes:
      - /opt/ark/game/arkfo:/data/game
      - /opt/ark/game/shared/saves:/data/game/ShooterGame/Saved
      - /opt/ark/game/shared/mods:/data/game/ShooterGame/Content/Mods/
      - /opt/ark/scripts:/data/scripts
      - /opt/steam:/data/steam
    environment: 
      - RCON_PASSWORD=REPLACE_RCON_PASSWORD
      - CLUSTER_ID=REPLACE_CLUSTER_ID
      - ARK_MAP=Fjordur
      - GAME_PORT=7799
      - QUERY_PORT=27021
      - RCON_PORT=27041
      - SAVE_DIR_NAME=arkfo
    restart: on-failure
